Generate 3D model
curl --request POST \
--url https://api.siray.ai/v1/3d/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"auto_size": true,
"face_limit": 1,
"image": "example_value",
"model": "tripo/tripo3d-v2.5-image-to-3d",
"pbr_enable": true,
"quad": false,
"seed": -1,
"texture_alignment": "original_image",
"texture_enable": true,
"texture_quality": "standard",
"texture_seed": 1
}
'import requests
url = "https://api.siray.ai/v1/3d/generations"
payload = {
"auto_size": True,
"face_limit": 1,
"image": "example_value",
"model": "tripo/tripo3d-v2.5-image-to-3d",
"pbr_enable": True,
"quad": False,
"seed": -1,
"texture_alignment": "original_image",
"texture_enable": True,
"texture_quality": "standard",
"texture_seed": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
auto_size: true,
face_limit: 1,
image: 'example_value',
model: 'tripo/tripo3d-v2.5-image-to-3d',
pbr_enable: true,
quad: false,
seed: -1,
texture_alignment: 'original_image',
texture_enable: true,
texture_quality: 'standard',
texture_seed: 1
})
};
fetch('https://api.siray.ai/v1/3d/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "success",
"data": {
"task_id": "<string>"
},
"message": "<string>"
}Tripo
Tripo3D V2.5 image-to-3d
POST
/
v1
/
3d
/
generations
Generate 3D model
Authorizations
Bearer authentication using API key
Body
application/json
Request payload
Request format for 3D model generation
Input image for generation, it can be data URL or image URL
Model name to use for the request
Available options:
tripo/tripo3d-v2.5-image-to-3d Whether to automatically adjust model dimensions
Maximum number of faces for the 3D mesh
Whether to enable PBR (Physically Based Rendering) material output
Whether to use quad (4-sided) mesh topology
Random seed for generation
Required range:
-1 <= x <= 9999999999Texture alignment mode
Available options:
original_image, geometry Whether to enable texture generation
Texture quality level
Available options:
standard, HD Seed for texture generation randomization
Response
200 - application/json
Successful response
⌘I
